Package com.sap.ai.sdk.core.model

# Class MetaExtensionsDatasetLimits

java.lang.Object
com.sap.ai.sdk.core.model.MetaExtensionsDatasetLimits

public class MetaExtensionsDatasetLimits extends Object
MetaExtensionsDatasetLimits

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MetaExtensionsDatasetLimits()`
  Default constructor for MetaExtensionsDatasetLimits.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MetaExtensionsDatasetLimits`
  `acceptedContentTypes(List<String> acceptedContentTypes)`
  Set the acceptedContentTypes of this `MetaExtensionsDatasetLimits` instance and return the same instance.
  `MetaExtensionsDatasetLimits`
  `addAcceptedContentTypesItem(String acceptedContentTypesItem)`
  Add one acceptedContentTypes instance to this `MetaExtensionsDatasetLimits`.
  `static MetaExtensionsDatasetLimits`
  `create()`
  Create a new `MetaExtensionsDatasetLimits` instance.
  `boolean`
  `equals(Object o)`
  `List<String>`
  `getAcceptedContentTypes()`
  Get acceptedContentTypes
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `MetaExtensionsDatasetLimits`.
  `Integer`
  `getMaxFilesPerDataset()`
  Max number of files per dataset.
  `Integer`
  `getMaxUploadFileSize()`
  Max size (in bytes) of a single uploaded file allowed by this runtime per resource group.
  `int`
  `hashCode()`
  `MetaExtensionsDatasetLimits`
  `maxFilesPerDataset(Integer maxFilesPerDataset)`
  Set the maxFilesPerDataset of this `MetaExtensionsDatasetLimits` instance and return the same instance.
  `MetaExtensionsDatasetLimits`
  `maxUploadFileSize(Integer maxUploadFileSize)`
  Set the maxUploadFileSize of this `MetaExtensionsDatasetLimits` instance and return the same instance.
  `void`
  `setAcceptedContentTypes(List<String> acceptedContentTypes)`
  Set the acceptedContentTypes of this `MetaExtensionsDatasetLimits` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `MetaExtensionsDatasetLimits` instance.
  `void`
  `setMaxFilesPerDataset(Integer maxFilesPerDataset)`
  Set the maxFilesPerDataset of this `MetaExtensionsDatasetLimits` instance.
  `void`
  `setMaxUploadFileSize(Integer maxUploadFileSize)`
  Set the maxUploadFileSize of this `MetaExtensionsDatasetLimits` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `MetaExtensionsDatasetLimits` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MetaExtensionsDatasetLimits

    protected MetaExtensionsDatasetLimits()
    Default constructor for MetaExtensionsDatasetLimits.

- ## Method Details

  - ### maxUploadFileSize

    @Nonnull public MetaExtensionsDatasetLimits maxUploadFileSize(@Nullable Integer maxUploadFileSize)
    Set the maxUploadFileSize of this `MetaExtensionsDatasetLimits` instance and return the same instance.
    Parameters:
      `maxUploadFileSize` - Max size (in bytes) of a single uploaded file allowed by this runtime per resource group.
    Returns:
      The same instance of this `MetaExtensionsDatasetLimits` class

  - ### getMaxUploadFileSize

    @Nonnull public Integer getMaxUploadFileSize()
    Max size (in bytes) of a single uploaded file allowed by this runtime per resource group.
    Returns:
      maxUploadFileSize The maxUploadFileSize of this `MetaExtensionsDatasetLimits` instance.

  - ### setMaxUploadFileSize

    public void setMaxUploadFileSize(@Nullable Integer maxUploadFileSize)
    Set the maxUploadFileSize of this `MetaExtensionsDatasetLimits` instance.
    Parameters:
      `maxUploadFileSize` - Max size (in bytes) of a single uploaded file allowed by this runtime per resource group.

  - ### maxFilesPerDataset

    @Nonnull public MetaExtensionsDatasetLimits maxFilesPerDataset(@Nullable Integer maxFilesPerDataset)
    Set the maxFilesPerDataset of this `MetaExtensionsDatasetLimits` instance and return the same instance.
    Parameters:
      `maxFilesPerDataset` - Max number of files per dataset. <0 means unlimited.
    Returns:
      The same instance of this `MetaExtensionsDatasetLimits` class

  - ### getMaxFilesPerDataset

    @Nonnull public Integer getMaxFilesPerDataset()
    Max number of files per dataset. <0 means unlimited.
    Returns:
      maxFilesPerDataset The maxFilesPerDataset of this `MetaExtensionsDatasetLimits` instance.

  - ### setMaxFilesPerDataset

    public void setMaxFilesPerDataset(@Nullable Integer maxFilesPerDataset)
    Set the maxFilesPerDataset of this `MetaExtensionsDatasetLimits` instance.
    Parameters:
      `maxFilesPerDataset` - Max number of files per dataset. <0 means unlimited.

  - ### acceptedContentTypes

    @Nonnull public MetaExtensionsDatasetLimits acceptedContentTypes(@Nullable List<String> acceptedContentTypes)
    Set the acceptedContentTypes of this `MetaExtensionsDatasetLimits` instance and return the same instance.
    Parameters:
      `acceptedContentTypes` - The acceptedContentTypes of this `MetaExtensionsDatasetLimits`
    Returns:
      The same instance of this `MetaExtensionsDatasetLimits` class

  - ### addAcceptedContentTypesItem

    @Nonnull public MetaExtensionsDatasetLimits addAcceptedContentTypesItem(@Nonnull String acceptedContentTypesItem)
    Add one acceptedContentTypes instance to this `MetaExtensionsDatasetLimits`.
    Parameters:
      `acceptedContentTypesItem` - The acceptedContentTypes that should be added
    Returns:
      The same instance of type `MetaExtensionsDatasetLimits`

  - ### getAcceptedContentTypes

    @Nonnull public List<String> getAcceptedContentTypes()
    Get acceptedContentTypes
    Returns:
      acceptedContentTypes The acceptedContentTypes of this `MetaExtensionsDatasetLimits` instance.

  - ### setAcceptedContentTypes

    public void setAcceptedContentTypes(@Nullable List<String> acceptedContentTypes)
    Set the acceptedContentTypes of this `MetaExtensionsDatasetLimits` instance.
    Parameters:
      `acceptedContentTypes` - The acceptedContentTypes of this `MetaExtensionsDatasetLimits`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `MetaExtensionsDatasetLimits`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `MetaExtensionsDatasetLimits` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `MetaExtensionsDatasetLimits` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `MetaExtensionsDatasetLimits` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static MetaExtensionsDatasetLimits create()
    Create a new `MetaExtensionsDatasetLimits` instance. No arguments are required.